Bug Hunting Session
Bug 89908 - Add Search field to the autofilter
Summary: Add Search field to the autofilter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Deena Francis (ldcs.co.in)
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-09 13:43 UTC by marcostinez
Modified: 2015-10-09 12:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description marcostinez 2015-03-09 13:43:36 UTC
This is in some way related to Bug ID 47412 (which appears a solved but is not): 

When applying auto-filter to a column there is no search field that automatically narrows down the search (feature included in Excel since Office 2010).

Example: Let's assume in an inconsistently named list a have to search for the model "Golf". The possible results might be:

VW Golf GTI
Volkswagen Golf 1.9 TDI
Golf GTI
Vlkswagen Golf Diesel

A week later I find out that I missed "V-Wagen Golf GTI"

Imagine this list is hundreds of rows long, consisting in different car brands and models. I'd have to search the whole list for any individual entry that potentially includes the word "Golf" with the result of wasting an enormous amount of time and the risk of missing one of them.
It might look like a small enhacement but for people dealing with larger list needing to easily filter for a given content it is an absolute stopper for using/switching from Excel to Calc. 

Anyway, thanks for your time and effort and keep up with the good work.
Comment 1 Cor Nouws 2015-03-09 14:03:50 UTC
Hi marcodtinez,

Have you considered that when you click Standard filter, that you can add any condition you need? It will be combined with settings already done with the auto-filter.

Cheers,
Cor
Comment 2 marcostinez 2015-03-09 15:46:26 UTC
Hi Cor,

now that was a quick reply!
You are only partly right. Actually, what this search field does in Excel is apply a "standard filter" with the condition "Contains". I agree that your suggestion would be a way to narrow down a search but there are disadvantages:

It's much slower. Instead of just writing the element you need you have to:

a)click on standard filter b)click on "condition" c) select the condition d) insert the word/letters d) click "ok"

Then, if you're not happy with the result you need to start again. What makes this feature in Excel so powerful is that you have a direct feedback and can adapt your search on the fly due to the autocomplete feature. 

Let me give another example: In a list dealing with thousands of entries related to printer models (7600, 7500, 4600, 6600, 5600) I'd like to filter for those rows related to the 7600. Among others, model references are

HPI 7600
7600
Indigo 7x00/6
HP Indigo 7x00
Indigo 7600

In this case I'd quickly see that by typing 7600 I wouldn't get all the results I need, so I'd start just typing "7". This would then also give me the results for the 7500 but I'd maybe able to manually select the results I need.
The bottomline is: There are lots of situations in which you either are not 100% sure about what is the best search item and you need to test it, or you do know it and want to quickly de-select those few that you don't need. In both cases I consider the "standard filter" option far too slow.

Having said this, you can't image how this little feature has changed the way for me and my colleagues to manage large lists...

Thanks for your feedback

Marcos


(In reply to Cor Nouws from comment #1)
> Hi marcodtinez,

Have you considered that when you click Standard filter,
> that you can add any condition you need? It will be combined with settings
> already done with the auto-filter.

Cheers,
Cor
Comment 3 Cor Nouws 2015-03-09 16:58:12 UTC
Hi Marcos,

(In reply to marcostinez from comment #2)

> now that was a quick reply!

Sometimes it works like that ;)

> [...]
> Having said this, you can't image how this little feature has changed the
> way for me and my colleagues to manage large lists...

I can't. Or maybe I can ;)

Anyway: your explanation is clear. Always room for enhancements, so set this to new.

thanks,
Cor
Comment 4 Deena Francis (ldcs.co.in) 2015-03-22 20:55:43 UTC
I am working on this.
Comment 5 Deena Francis (ldcs.co.in) 2015-03-23 01:35:43 UTC
Submitted a patch at https://gerrit.libreoffice.org/#/c/14958/
Comment 6 Commit Notification 2015-03-26 14:21:51 UTC
Deena Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f340278df616921c663075be692264ca37d86d84

Enhancement : tdf#89908 Add Search field to the autofilter

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.